com.amazonaws.services.lambda.model

## Class DeadLetterConfig

- java.lang.Object
- - com.amazonaws.services.lambda.model.DeadLetterConfig

All Implemented Interfaces:
  Serializable, Cloneable

    public class DeadLetterConfig
    extends Object
    implements Serializable, Cloneable

The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DeadLetterConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeadLetterConfig` `clone()`
`boolean` `equals(Object obj)`
`String` `getTargetArn()` The ARN (Amazon Resource Value) of an Amazon SQS queue or Amazon SNS topic you specify as your Dead Letter Queue (DLQ).
`int` `hashCode()`
`void` `setTargetArn(String targetArn)` The ARN (Amazon Resource Value) of an Amazon SQS queue or Amazon SNS topic you specify as your Dead Letter Queue (DLQ).
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeadLetterConfig` `withTargetArn(String targetArn)` The ARN (Amazon Resource Value) of an Amazon SQS queue or Amazon SNS topic you specify as your Dead Letter Queue (DLQ).

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeadLetterConfig

    public DeadLetterConfig()

### Method Detail

#### setTargetArn

    public void setTargetArn(String targetArn)

The ARN (Amazon Resource Value) of an Amazon SQS queue or Amazon SNS topic you specify as your Dead Letter Queue (DLQ).

Parameters:
  `targetArn` - The ARN (Amazon Resource Value) of an Amazon SQS queue or Amazon SNS topic you specify as your Dead Letter Queue (DLQ).

#### getTargetArn

    public String getTargetArn()

The ARN (Amazon Resource Value) of an Amazon SQS queue or Amazon SNS topic you specify as your Dead Letter Queue (DLQ).

Returns:
  The ARN (Amazon Resource Value) of an Amazon SQS queue or Amazon SNS topic you specify as your Dead Letter Queue (DLQ).

#### withTargetArn

    public DeadLetterConfig withTargetArn(String targetArn)

The ARN (Amazon Resource Value) of an Amazon SQS queue or Amazon SNS topic you specify as your Dead Letter Queue (DLQ).

Parameters:
  `targetArn` - The ARN (Amazon Resource Value) of an Amazon SQS queue or Amazon SNS topic you specify as your Dead Letter Queue (DLQ).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DeadLetterConfig clone()

Overrides:
  `clone` in class `Object`